Package com.independentsoft.office.odf.styles

# Enum Class HorizontalPosition

java.lang.Object
java.lang.Enum<HorizontalPosition>
com.independentsoft.office.odf.styles.HorizontalPosition

All Implemented Interfaces:
  `Serializable`, `Comparable<HorizontalPosition>`, `Constable`

public enum HorizontalPosition extends Enum<HorizontalPosition>
Represents the horizontal alignment of a frame in relation to a specific area for documents with a text.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CENTER`
  Horizontal alignment of a frame should be centered in relation to a specific area for documents within a text.
  `FROM_INSIDE`
  Horizontal alignment of a frame should be centered in relation to a specific area for documents, on pages with an even page number within a text.
  `FROM_LEFT`
  Horizontal alignment of a frame should be centered in relation to a specific area for documents, on pages with an odd page number within a text.
  `INSIDE`
  Horizontal alignment of a frame should be centered in relation to a specific area for documents, on pages with an even page number within a text.
  `LEFT`
  Horizontal alignment of a frame should be centered in relation to a specific area for documents, on pages with an odd page number within a text.
  `NONE`
  None
  `OUTSIDE`
  Horizontal alignment of a frame should be centered in relation to a specific area for documents, on pages with an even page number within a text.
  `RIGHT`
  Horizontal alignment of a frame should be centered in relation to a specific area for documents, on pages with an odd page number within a text.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static HorizontalPosition`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static HorizontalPosition[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### LEFT

    public static final HorizontalPosition LEFT
    Horizontal alignment of a frame should be centered in relation to a specific area for documents, on pages with an odd page number within a text.

  - ### CENTER

    public static final HorizontalPosition CENTER
    Horizontal alignment of a frame should be centered in relation to a specific area for documents within a text.

  - ### RIGHT

    public static final HorizontalPosition RIGHT
    Horizontal alignment of a frame should be centered in relation to a specific area for documents, on pages with an odd page number within a text.

  - ### FROM_LEFT

    public static final HorizontalPosition FROM_LEFT
    Horizontal alignment of a frame should be centered in relation to a specific area for documents, on pages with an odd page number within a text.

  - ### INSIDE

    public static final HorizontalPosition INSIDE
    Horizontal alignment of a frame should be centered in relation to a specific area for documents, on pages with an even page number within a text.

  - ### OUTSIDE

    public static final HorizontalPosition OUTSIDE
    Horizontal alignment of a frame should be centered in relation to a specific area for documents, on pages with an even page number within a text.

  - ### FROM_INSIDE

    public static final HorizontalPosition FROM_INSIDE
    Horizontal alignment of a frame should be centered in relation to a specific area for documents, on pages with an even page number within a text.

  - ### NONE

    public static final HorizontalPosition NONE
    None

- ## Method Details

  - ### values

    public static HorizontalPosition[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static HorizontalPosition valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null